package com.huimv.video.dhicc.ScreenController;

import com.alibaba.fastjson.JSON;
import com.dahuatech.hutool.http.Method;
import com.dahuatech.icc.exception.ClientException;
import com.dahuatech.icc.oauth.http.DefaultClient;
import com.dahuatech.icc.oauth.http.IClient;
import com.dahuatech.icc.oauth.model.v202010.GeneralRequest;
import com.dahuatech.icc.oauth.model.v202010.GeneralResponse;

import com.huimv.video.dhicc.result.R;
import com.huimv.video.dhicc.util.GetResponse;
import net.sf.json.JSONObject;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.*;

@RestController
@RequestMapping("/screen/sizhu")

public class ScreenSiZhuController {
        /**
         * xuyao   直接都写在这里了
         *
         * @param request
         * @return
         * @throws ClientException
         * @throws ParseException
         */
        @RequestMapping("/count_sizhu_record")
        public R count_sizhu_record(HttpServletRequest request) throws ClientException, ParseException {
            List result = new ArrayList();
            Map map1 = new HashMap();
            map1.put("value1", getPastSevenDay());
            map1.put("value2", getDay());
            map1.put("value3", getLatestOne());
            return R.ok("请求成功").put("data", map1);
        }





    /**
     * xuyao   直接都写在这里了
     *
     * @param request
     * @return  查询事件
     * @throws ClientException
     * @throws ParseException
     * 写一个查左右的  事件都拿过来 存起来 建新的表来处理
     */
    @RequestMapping("/SiZhuList")
    public R SiZhuList(HttpServletRequest request) throws ClientException, ParseException {
        return R.ok("请求成功").put("data", getSiZhuList());
    }


         //过去七天的值
        public String getPastSevenDay(  ) throws ClientException {
            GetResponse getResponse = new GetResponse();
            SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
            Calendar c = Calendar.getInstance();
            Date date = new Date();
            c.setTime(date);
            c.set(Calendar.MINUTE, 0);
            c.set(Calendar.SECOND, 0);

            c.add(Calendar.DATE, 0);
            Date A = c.getTime();
            String formatA = format.format(A);
            c.add(Calendar.DATE, -7);
            Date B = c.getTime();
            String formatB = format.format(B);
            return  getResponse.SendMassageXixiaoPerson(formatB, formatA);
        }


         //今天的数据
         public String getDay() throws ClientException {
             GetResponse getResponse = new GetResponse();
             SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
             Calendar c = Calendar.getInstance();
             Date date = new Date();
             c.setTime(date);
             c.set(Calendar.MINUTE, 0);
             c.set(Calendar.SECOND, 0);

             c.add(Calendar.DATE, 0);
             Date A = c.getTime();
             String formatA = format.format(A);
             c.add(Calendar.DATE, -1);
             Date B = c.getTime();
             String formatB = format.format(B);
             return  getResponse.SendMassageXixiaoPerson(formatB, formatA);
         }


             //最新一条的数据
             public String getLatestOne( ) throws ClientException {
                 SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
                 Calendar c = Calendar.getInstance();
                 Date date = new Date();
                 c.setTime(date);
                 c.set(Calendar.HOUR, 0);
                 c.set(Calendar.MINUTE, 0);
                 c.set(Calendar.SECOND, 0);
                 Date A = c.getTime();
                 String formatA = format.format(A);
                 c.set(Calendar.HOUR, +24);
                 Date d = c.getTime();
                 String formatD = format.format(d);
                 Map<String, Object> params = new HashMap<>();
                 params.put("alarmStartDateString",formatA);
                 params.put("alarmEndDateString",formatD);
                 params.put("pageNum",1);
                 params.put("pageSize",1);
                 params.put("alarmType",303);
                 params.put("dbType",0);
                 params.put("deviceCategory",1);
                 String[]  nodeCodeList=  new String[64];
                 nodeCodeList[0]="1002874$1$0$0"    ;
                 nodeCodeList[1]="1002875$1$0$0"      ;
                 nodeCodeList[0]="1002876$1$0$0"     ;
                 nodeCodeList[0]="1002877$1$0$0"       ;
                 nodeCodeList[0]="1002878$1$0$0"      ;
                 nodeCodeList[0]="1002879$1$0$0"     ;
                 nodeCodeList[0]="1002880$1$0$0"      ;
                 nodeCodeList[0]="1002881$1$0$0"      ;
                 nodeCodeList[0]="1002882$1$0$0"     ;
                 nodeCodeList[0]="1002883$1$0$0"    ;
                 nodeCodeList[10]="1002884$1$0$0"   ;
                 nodeCodeList[11]="1002885$1$0$0"   ;
                 nodeCodeList[12]="1002886$1$0$0"      ;
                 nodeCodeList[13]="1002887$1$0$0"     ;
                 nodeCodeList[14]="1002888$1$0$0"     ;
                 nodeCodeList[15]="1002889$1$0$0"   ;
                 nodeCodeList[16]="1002890$1$0$0"   ;
                 nodeCodeList[17]="1002891$1$0$0"   ;
                 nodeCodeList[18]="1002892$1$0$0"   ;
                 nodeCodeList[19]="1002893$1$0$0"     ;
                 nodeCodeList[20]="1002894$1$0$0"     ;
                 nodeCodeList[21]="1002895$1$0$0"    ;
                 nodeCodeList[22]="1002896$1$0$0"      ;
                 nodeCodeList[23]="1002897$1$0$0"      ;
                 nodeCodeList[24]="1002898$1$0$0"   ;
                 nodeCodeList[25]="1002899$1$0$0"     ;
                 nodeCodeList[26]="1002900$1$0$0"      ;
                 nodeCodeList[27]= "1002901$1$0$0"     ;
                 nodeCodeList[28]="1002902$1$0$0"       ;
                 nodeCodeList[29]="1002903$1$0$0"     ;
                 nodeCodeList[30]="1002904$1$0$0"     ;
                 nodeCodeList[31]="1002905$1$0$0"    ;
                 nodeCodeList[32]="1002906$1$0$0"     ;
                 nodeCodeList[33]="1002907$1$0$0"     ;
                 nodeCodeList[34]="1002908$1$0$0"     ;
                 nodeCodeList[35]="1002909$1$0$0"    ;
                 nodeCodeList[36]="1002910$1$0$0"     ;
                 nodeCodeList[37]="1002911$1$0$0"    ;
                 nodeCodeList[38]="1002912$1$0$0"    ;
                 nodeCodeList[39]="1002913$1$0$0"    ;
                 nodeCodeList[40]="1002939$1$0$0"     ;
                 nodeCodeList[41]="1002939$1$0$1"   ;
                 nodeCodeList[42]="1002939$1$0$2"   ;
                 nodeCodeList[43]="1002939$1$0$3"    ;
                 nodeCodeList[44]="1002939$1$0$4"    ;
                 nodeCodeList[45]="1002939$1$0$5"     ;
                 nodeCodeList[46]="1002939$1$0$6"      ;
                 nodeCodeList[47]="1002939$1$0$7"   ;
                 nodeCodeList[48]="1002939$1$0$8"   ;
                 nodeCodeList[49]="1002939$1$0$9"    ;
                 nodeCodeList[50]="1002940$1$0$0"     ;
                 nodeCodeList[51]="1002940$1$0$1"   ;
                 nodeCodeList[52]="1002940$1$0$2";
                 nodeCodeList[53]="1002940$1$0$3";
                 nodeCodeList[54]="1002940$1$0$4";
                 nodeCodeList[55]="1002940$1$0$5";
                 nodeCodeList[56]="1002940$1$0$6";
                 nodeCodeList[57]="1002940$1$0$7";
                 nodeCodeList[58]="1002939$1$0$10";
                 nodeCodeList[59]="1002939$1$0$11";
                 nodeCodeList[60]="1002939$1$0$12";
                 nodeCodeList[61]="1002939$1$0$13";
                 nodeCodeList[62]="1002939$1$0$14";
                 nodeCodeList[63]="1002939$1$0$15";
                 params.put("nodeCodeList",nodeCodeList);
                 String URL = "/evo-apigw/evo-event/1.2.0/alarm-record/page"; //获取事件URL    post请求
                 IClient iClient = new DefaultClient();
                 String NewUrl = URL ;
                 //这种已经在配置文件里面安排了账号ip以及密码
                 GeneralRequest generalRequest = new GeneralRequest(NewUrl, Method.POST);
                 System.out.println(NewUrl);
                 generalRequest.header("Content-Type", " application/json");
                 generalRequest.body(JSON.toJSONString(params));
                 GeneralResponse generalResponse = iClient.doAction(generalRequest, generalRequest.getResponseClass());
                 JSONObject jsondata = (JSONObject)  JSONObject.fromObject(generalResponse.getResult()).get("data");
                 JSONObject jsonObject1 = JSONObject.fromObject(jsondata.get("pageData").toString().substring(1, jsondata.get("pageData").toString().length() - 1));
                 Object alarmDate = jsonObject1.get("alarmDate");
                return alarmDate.toString();
             }



    //返回所有的死猪事件
    public GeneralResponse getSiZhuList( ) throws ClientException {
        SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        Calendar c = Calendar.getInstance();
        Date date = new Date();
        c.setTime(date);
        c.set(Calendar.HOUR, 0);
        c.set(Calendar.MINUTE, 0);
        c.set(Calendar.SECOND, 0);
        Date A = c.getTime();
        String formatA = format.format(A);
        c.set(Calendar.HOUR, +24);
        Date d = c.getTime();
        String formatD = format.format(d);
        Map<String, Object> params = new HashMap<>();
        params.put("alarmStartDateString",formatA);
        params.put("alarmEndDateString",formatD);
        params.put("pageNum",1);
        params.put("pageSize",10);
        params.put("alarmType",303);
        params.put("dbType",0);
        params.put("deviceCategory",1);
        String[]  nodeCodeList=  new String[64];
        nodeCodeList[0]="1002874$1$0$0";
        nodeCodeList[1]="1002875$1$0$0";
        nodeCodeList[0]="1002876$1$0$0";
        nodeCodeList[0]="1002877$1$0$0";
        nodeCodeList[0]="1002878$1$0$0";
        nodeCodeList[0]="1002879$1$0$0";
        nodeCodeList[0]="1002880$1$0$0";
        nodeCodeList[0]="1002881$1$0$0";
        nodeCodeList[0]="1002882$1$0$0";
        nodeCodeList[0]="1002883$1$0$0";
        nodeCodeList[10]="1002884$1$0$0";
        nodeCodeList[11]="1002885$1$0$0";
        nodeCodeList[12]="1002886$1$0$0";
        nodeCodeList[13]="1002887$1$0$0";
        nodeCodeList[14]="1002888$1$0$0";
        nodeCodeList[15]="1002889$1$0$0";
        nodeCodeList[16]="1002890$1$0$0";
        nodeCodeList[17]="1002891$1$0$0";
        nodeCodeList[18]="1002892$1$0$0";
        nodeCodeList[19]="1002893$1$0$0";
        nodeCodeList[20]="1002894$1$0$0";
        nodeCodeList[21]="1002895$1$0$0";
        nodeCodeList[22]="1002896$1$0$0";
        nodeCodeList[23]="1002897$1$0$0";
        nodeCodeList[24]="1002898$1$0$0";
        nodeCodeList[25]="1002899$1$0$0";
        nodeCodeList[26]="1002900$1$0$0";
        nodeCodeList[27]= "1002901$1$0$0";
        nodeCodeList[28]="1002902$1$0$0";
        nodeCodeList[29]="1002903$1$0$0";
        nodeCodeList[30]="1002904$1$0$0";
        nodeCodeList[31]="1002905$1$0$0";
        nodeCodeList[32]="1002906$1$0$0";
        nodeCodeList[33]="1002907$1$0$0";
        nodeCodeList[34]="1002908$1$0$0";
        nodeCodeList[35]="1002909$1$0$0";
        nodeCodeList[36]="1002910$1$0$0"     ;
        nodeCodeList[37]="1002911$1$0$0"    ;
        nodeCodeList[38]="1002912$1$0$0"    ;
        nodeCodeList[39]="1002913$1$0$0"    ;
        nodeCodeList[40]="1002939$1$0$0"     ;
        nodeCodeList[41]="1002939$1$0$1"   ;
        nodeCodeList[42]="1002939$1$0$2"   ;
        nodeCodeList[43]="1002939$1$0$3"    ;
        nodeCodeList[44]="1002939$1$0$4"    ;
        nodeCodeList[45]="1002939$1$0$5"     ;
        nodeCodeList[46]="1002939$1$0$6"      ;
        nodeCodeList[47]="1002939$1$0$7"   ;
        nodeCodeList[48]="1002939$1$0$8"   ;
        nodeCodeList[49]="1002939$1$0$9"    ;
        nodeCodeList[50]="1002940$1$0$0"     ;
        nodeCodeList[51]="1002940$1$0$1"   ;
        nodeCodeList[52]="1002940$1$0$2";
        nodeCodeList[53]="1002940$1$0$3";
        nodeCodeList[54]="1002940$1$0$4";
        nodeCodeList[55]="1002940$1$0$5";
        nodeCodeList[56]="1002940$1$0$6";
        nodeCodeList[57]="1002940$1$0$7";
        nodeCodeList[58]="1002939$1$0$10";
        nodeCodeList[59]="1002939$1$0$11";
        nodeCodeList[60]="1002939$1$0$12";
        nodeCodeList[61]="1002939$1$0$13";
        nodeCodeList[62]="1002939$1$0$14";
        nodeCodeList[63]="1002939$1$0$15";
        params.put("nodeCodeList",nodeCodeList);
       // String URL = "/evo-apigw/evo-event/1.2.0/alarm-record/page"; //获取事件URL    post请求
        String URL = "/evo-apigw/evo-event/1.2.0/alarm-record/page";  //获取事件URL    post请求
        IClient iClient = new DefaultClient();
        String NewUrl = URL;
        //这种已经在配置文件里面安排了账号ip以及密码
        GeneralRequest generalRequest = new GeneralRequest(NewUrl, Method.POST);
        System.out.println(NewUrl);
        generalRequest.header("Content-Type", " application/json");
        generalRequest.body(JSON.toJSONString(params));
        GeneralResponse generalResponse = iClient.doAction(generalRequest, generalRequest.getResponseClass());
        return    generalResponse;
    }
}



